## Apache Zeta Components Manual :: Docs For Class ezcMvcRequestUserAgent

### MvcTools::ezcMvcRequestUserAgent

### Class ezcMvcRequestUserAgent

Struct which defines a request user agent.

Source for this file: /MvcTools/src/structs/request_user_agent.php

    ezcBaseStruct
       |
       --ezcMvcRequestUserAgent

Version: | //autogentag//

### Member Variables

public string | `$agent` Request user agent.

### Method Summary

public static ezcMvcRequestUserAgent | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcRequestUserAgent | `__construct( [ $agent = ''] )` Constructs a new ezcMvcRequestUserAgent.

### Methods

#### __set_state

static ezcMvcRequestUserAgent __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcRequestUserAgent __construct( [string $agent = ''] )

Constructs a new ezcMvcRequestUserAgent.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$agent` | string |

Documentation generated by phpDocumentor 1.4.3